
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【温故而知新-Javascript】为DOM元素设置样式 / 憋错料</title>

    <meta name="description" content="【温故而知新-Javascript】为DOM元素设置样式 1. 使用样式表 可以通过document.styleSheets属性访问文档中可用的CSS样式表,它会返回一组对象集合,这些对象代表了与文档管理的各个样式表. 每个样式表 都由一个CSSStyleSheet 对象代表,它提供了一组属性和方法来操作文档里的样式. 1.1 获得样式表的基本信息 第一步是获得定义在文档中的样式表的一些基本信息. &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta c ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">【温故而知新-Javascript】为DOM元素设置样式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>1. 使用样式表</strong></p>
<p>可以通过document.styleSheets属性访问文档中可用的CSS样式表，它会返回一组对象集合，这些对象代表了与文档管理的各个样式表。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEyMTQxNTE3ODI4LTE2NTUxMTk5MjAucG5n.jpg" /></p>
<p>每个样式表 都由一个CSSStyleSheet 对象代表，它提供了一组属性和方法来操作文档里的样式。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEyMTQyMDM2NjI1LTk2MjQzMDkxNS5wbmc=.jpg" /></p>
<p><strong>1.1 获得样式表的基本信息</strong></p>
<p>第一步是获得定义在文档中的样式表的一些基本信息。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;为DOM元素设置样式&lt;/title&gt;
    &lt;style title="core styles"&gt;
        p {border: medium double green; background-color: lightgray;}
        #block1 {color: white;}
        table {border: thin solid red;border-collapse: collapse; margin: 5px;float: left;}
        td {padding: 2px;}
    &lt;/style&gt;
    &lt;link rel="stylesheet" type="text/css" href="css/style.css" /&gt;
    &lt;style media="screen AND (min-width:500px)" type="text/css"&gt;
        #block2 {color: yellow;font-style: italic;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱
&lt;/p&gt;
&lt;p id="block2"&gt;
    一些年轻人，通过高端消费来营造自己高端收入的形象
&lt;/p&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = document.getElementById("placeholder");
    var sheets = document.styleSheets;
    for(var i= 0;i&lt;sheets.length;i++){
        var newElem = document.createElement("table");
        newElem.setAttribute("border","1");
        addRow(newElem,"Index",i);
        addRow(newElem,"href",sheets[i].href);
        addRow(newElem,"title",sheets[i].title);
        addRow(newElem,"type",sheets[i].type);
        addRow(newElem,"ownerNode",sheets[i].ownerNode.tagName);
        placeholder.appendChild(newElem);
    }

    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + ":&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例枚举了文档内定义的所有样式表，并为每个样式都创建了一个table元素以容纳可用的基本信息。这个文档里有三个样式表。其中两个是用script元素定义的，另一个则包含在名为style.css的外部文件里，是通过link元素导入文档中的。从下图可以看到脚本输出的结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEyMTYzMzIwMDMxLTkzNDA1NTYzNS5wbmc=.jpg" /></p>
<p>请注意，不是所有的属性都带有值。举个栗子，href 属性只有在样式表由外部文件载入时才会返回一个值。</p>
<p><strong>1.2 使用媒介限制</strong></p>
<p>当定义样式表时可以使用media属性来限制样式应用的场合。可以使用CSSStyleSheet.media 属性访问这些限制，它会返回一个 MediaList 对象。下表介绍了MediaList对象的方法和属性：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEyMTcwODM3OTUzLTMyNDg5NzUxNS5wbmc=.jpg" /></p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;使用MediaList对象&lt;/title&gt;
    &lt;style title="core styles"&gt;
        p {border: medium double green; background-color: lightgray;}
        #block1 {color: white;}
        table {border: thin solid red;border-collapse: collapse; margin: 5px;float: left;}
        td {padding: 2px;}
    &lt;/style&gt;
    &lt;link rel="stylesheet" type="text/css" href="../css/style.css" /&gt;
    &lt;style media="screen AND (min-width:500px)" type="text/css"&gt;
        #block2 {color: yellow;font-style: italic;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱
&lt;/p&gt;
&lt;p id="block2"&gt;
    一些年轻人，通过高端消费来营造自己高端收入的形象
&lt;/p&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = document.getElementById("placeholder");
    var sheets = document.styleSheets;
    for(var i = 0; i &lt; sheets.length; i++){
        if(sheets[i].media.length &gt; 0){
            var newElem = document.createElement("table");
            newElem.setAttribute("border","1");
            addRow(newElem,"Media Count",sheets[i].media.length);
            addRow(newElem,"Media Text",sheets[i].media.mediaText);
            for(var j = 0;j &lt; sheets[i].media.length; j++){
                addRow(newElem,"Media " + j, sheets[i].media.item(j));
            }
            placeholder.appendChild(newElem);
        }
    }

    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + ":&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例中，为所有具备media属性的样式表分别创建了一张表格，并枚举了其中的各个媒介、属性值里的媒介总数和整个media字符串。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEyMTczMjA1NjA5LTIxMzg3NTAzMjIuZ2lm.jpg" /></p>
<p><strong>1.3&nbsp;禁用样式表</strong></p>
<p>CSSStyleSheet.disabled属性可以用来一次性启动和禁用某个样式表里的所有样式。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;启用和禁用样式表&lt;/title&gt;
    &lt;style title="core styles"&gt;
        p {border: medium double green; background-color: lightgray;}
        #block1 {color: white;border: thick solid green; background-color: gray;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;div&gt;&lt;button id="pressme"&gt;Press Me&lt;/button&gt;&lt;/div&gt;
&lt;script&gt;
    document.getElementById("pressme").onclick = function(){
       document.styleSheets[0].disabled = !document.styleSheets[0].disabled;
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例中，点击按钮会切换（唯一一个）样式表上disabled属性的值。一旦样式表被禁用，它所包含的任何样式都不会被应用到元素上。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEyMTgyNzQ2NTMxLTc2NTA0NDQyOC5naWY=.jpg" /></p>
<p><strong>1.4 CSSRuleList对象的成员</strong></p>
<p>CSSStyleSheet.cssRules属性会返回一个CSSRuleList对象，它允许你访问样式表里的各种样式。下表介绍了这个对象的成员。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEzMTA0MjQ5MjM0LTIxMTY4NTQxNjkucG5n.jpg" /></p>
<p>样式表里的每一种CSS样式都由一个CSSStyleRule对象代表。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEzMTA0NjE5MDkzLTQ5MDc0NTg3Ny5wbmc=.jpg" /></p>
<p>下面的例子展示了CSSRuleList对象的用法和CSSStyleRule对象的基本属性。这里说的基本是因为style属性所返回的CSSStyleDeclaration对象可以深入样式内部，而且给某个元素应用样式时用的也是这个对象。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;使用CSSRuleList和CSSStyleRule对象&lt;/title&gt;
    &lt;style title="core styles"&gt;
        p {border: medium double green; background-color: lightgray;}
        #block1 {color: white;}
        table {border: thin solid red;border-collapse: collapse; margin: 5px;float: left;}
        td {padding: 2px;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;p id="block2"&gt;
    一些年轻人，通过高端消费来营造自己高端收入的形象。
&lt;/p&gt;
&lt;div&gt;&lt;button id="pressme"&gt;Press Me&lt;/button&gt; &lt;/div&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = document.getElementById("placeholder");
    processStyleSheet();

    document.getElementById("pressme").onclick = function(){
        document.styleSheets[0].cssRules.item(1).selectorText = "#block2";
        if(placeholder.hasChildNodes()){
            var childCount = placeholder.childNodes.length;
            for(var i = 0; i &lt; childCount; i++){
                placeholder.removeChild(placeholder.firstChild);
            }
        }
        processStyleSheet();
    }

    function  processStyleSheet(){
        var ruleList = document.styleSheets[0].cssRules;
        for(var i = 0; i &lt; ruleList.length; i++){
            var rule = ruleList.item(i);
            var newElem = document.createElement("table");
            newElem.setAttribute("border","1");
            addRow(newElem,"parentStyleSheet",rule.parentStyleSheet.title);
            addRow(newElem,"selectorText",rule.selectorText);
            addRow(newElem,"cssText",rule.cssText);
            placeholder.appendChild(newElem);
        }
    }

    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + ":&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例对这些对象做了两件事。第一件事是简单地获取已定义样式的信息，报告它的父样式表、选择器和样式所包含的各条规则声明。</p>
<p>这段脚本还演示了如何轻松改变某个样式。点击button后，其中一个样式的选择器会从#block1变成#block2，产生的效果是改变了此样式所应用的p元素。就像其他对DOM的改动一样，浏览器会立即反映出新选择器并更新样式应用的方式。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEzMTE1MjI2MTA5LTE5NzY0MTIwODcuZ2lm.jpg" /></p>
<p><strong>2. 使用元素样式</strong></p>
<p>要获取某个元素的style属性所定义的样式属性，需要读取HTMLElement对象里定义的style属性值。style属性会返回一个CSSStyleDeclaration对象，它和通过样式表所获取的对象属于同一类型。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;从一个HTMLElement上获取CSSStyleDeclaration对象&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;div&gt;&lt;button id="pressme"&gt;Press Me&lt;/button&gt; &lt;/div&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = $("placeholder");
    var targetElem = $("block1");
    displayStyle();
    $("pressme").onclick = function(){
        targetElem.style.cssText = "color:green;"
        displayStyle();
    }
    function displayStyle(){
        if(placeholder.hasChildNodes()){
            placeholder.removeChild(placeholder.firstChild);
        }
        var newElem = document.createElement("table");
        addRow(newElem,"Element CSS",targetElem.style.cssText);
        placeholder.appendChild(newElem);
    }
    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + ":&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
    function $(id){
        return document.getElementById(id);
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>这段脚本会显示某个元素的style属性值，并且button被点击后还会修改这个值以应用另一种样式。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEzMTUyODMzMzc1LTY5MTU5MTE4LmdpZg==.jpg" /></p>
<p><strong>3. 使用CSSStyleDeclaration对象</strong></p>
<p>处理的是样式表还是某个元素的style属性并不重要。要通过DOM完全控制CSS，必须使用CSSStyleDeclaration对象。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEzMTU0MzMzMDkzLTQzNTA0MDUucG5n.jpg" /></p>
<p>除了item方法，大多数浏览器还支持数组风格的表示法，因此 item(4) 和 item[4] 是等价的。</p>
<p><strong>3.1 使用便捷属性</strong></p>
<p>操作CSSStyleDeclaration 对象最简单的方式是使用便捷属性，它们分别对应各个CSS属性。可以通过读取对象属性来确定对应CSS属性的当前值，并通过给对象属性指派新值来改变CSS的值。</p>
<p>PS:此节里读取和修改的值属于设置值（configured value）。实际读取和修改的是定义在HTML文档中的值，它们或者位于样式表中，或者直接被应用到元素上。当浏览器准备显示某个元素时，它会生成一组计算值（computed value），通过模型来处理浏览器样式、样式表和style属性的层叠和继承。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;使用CSSStyleDeclaration对象的便捷属性&lt;/title&gt;
    &lt;style title="core styles"&gt;
        #block1 {color: white;border:thick solid green;background-color: gray;}
        p {border: medium double blue; background-color: lightgray;}
        table {border: thin solid red;border-collapse: collapse;margin: 5px;float: left;}
        td {padding: 2px;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;p id="block2" style="border:medium dashed yellow;color: red;padding: 2px;"&gt;
    一些年轻人，通过高端消费来营造自己高端收入的形象。
&lt;/p&gt;
&lt;div&gt;&lt;button id="pressme"&gt;Press Me&lt;/button&gt; &lt;/div&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = $("placeholder");
    displayStyles();
    $("pressme").onclick = function(){
        document.styleSheets[0].cssRules.item(1).style.paddingTop = "10px";
        document.styleSheets[0].cssRules.item(1).style.paddingRight = "12px";
        document.styleSheets[0].cssRules.item(1).style.paddingLeft = "5px";
        document.styleSheets[0].cssRules.item(1).style.paddingBottom = "5px";
        displayStyles();
    }
    function displayStyles(){
        if(placeholder.hasChildNodes()){
            var childCount = placeholder.childNodes.length;
            for(var i=0;i&lt;childCount;i++){
                placeholder.removeChild(placeholder.firstChild);
            }
        }
        displayStyleProperties(document.styleSheets[0].cssRules.item(1).style);
        displayStyleProperties($("block2").style);
    }
    function displayStyleProperties(style){
        var newElem = document.createElement("table");
        newElem.setAttribute("border","1");
        addRow(newElem,"border",style.border);
        addRow(newElem,"color",style.color);
        addRow(newElem,"padding",style.padding);
        addRow(newElem,"paddingTop",style.paddingTop);
        placeholder.appendChild(newElem);
    }
    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + ":&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
    function  $(id){
        return document.getElementById(id);
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例的脚本显示了4个CSSStyleDeclaration便捷属性的值。它们分别读取自从样式表获得的对象和元素的 style属性，以此演示获得这些对象的两种方式。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODEzMTYyODUyNzM0LTE5MzQwNTgwNjUuZ2lm.jpg" /></p>
<p>便捷属性border、color 和 padding 各自对应于同名CSS属性。便捷属性 paddingTop 对应于CSS的padding-top 属性。这就是多单词CSS属性的一般命名模式：去掉连字符，然后大写第二个及之后单词的首字母。简写的CSS属性和单独属性都有着对应的便捷属性（比如，padding 和 paddingTop）。如果没有给CSS属性设置值，那么对应的便捷属性就会返回一个空白字符串（" "）。</p>
<p>当按钮被按下后，脚本会修改各个单独的内边距属性值，具体做法是使用来自文档第一个样式表的CSSStyleDeclaration对象上的便捷属性 paddingTop、paddingBottom、paddingLeft 和 paddingRight。从上面的显示效果中，可以看到这些值的变动不仅立即影响了文档的外观，而且还与简写和单独便捷属性进行了同步，使它们反映出这些新值。</p>
<p><strong>3.2 使用常规属性</strong></p>
<p>如果明确知道需要处理的CSS属性名称，而且存在相应的便捷属性，那么使用便捷属性是件很简单的事。如果需要以程序方式探索CSS属性，或者需要获取/设置某个没有对应便捷属性的CSS属性，那么CSSStyleDeclaration对象的其他成员可能会派上用场。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;使用CSSStyleDeclaration对象的常规属性&lt;/title&gt;
    &lt;style title="core styles"&gt;
        p {color: white; border: medium double green;background-color: lightgray;padding-top: 5px;}
        table {border: thin solid red;border-collapse: collapse;margin: 5px;float: left;}
        td {padding: 2px;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;div&gt;&lt;button id="pressme"&gt;Press Me&lt;/button&gt; &lt;/div&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = document.getElementById("placeholder");
    displayStyles();
    document.getElementById("pressme").onclick = function(){
        var styleDeclr = document.styleSheets[0].cssRules[0].style;
        styleDeclr.setProperty("background-color","gray");
        styleDeclr.setProperty("padding-top","20px")
        styleDeclr.setProperty("color","blue");
        displayStyles();
    }
    function displayStyles(){
        if(placeholder.hasChildNodes()){
            var childCount = placeholder.childNodes.length;
            for(var i=0;i&lt;childCount;i++){
                placeholder.removeChild(placeholder.firstChild);
            }
        }
        var newElem = document.createElement("table");
        newElem.setAttribute("border","1");
        var style = document.styleSheets[0].cssRules[0].style;
        addRow(newElem,"border",style.getPropertyValue("border"));
        addRow(newElem,"color",style.getPropertyValue("color"));
        addRow(newElem,"padding-top",style.getPropertyValue("padding-top"));
        addRow(newElem,"background-color",style.getPropertyValue("background-color"));
        placeholder.appendChild(newElem);
    }
    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + ":&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例只从一个来源读取样式属性：样式表。使用getPropertyValue方法来获得某个CSS属性的值，并用setProperty方法定义新值。请注意在这些方法中要使用真正的CSS属性名，而非便捷属性的名称。</p>
<p><strong>（1）以程序方式探索属性</strong></p>
<p>到目前为止，在示例里都显示指定了想要操作的CSS属性名称。如果在事先不知情的情况下获取已应用哪些属性的信息，就必须通过CSSStyleDeclaration的成员进行探索。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;以程序方式探索CSS属性&lt;/title&gt;
    &lt;style title="core styles"&gt;
        p {color:white;background-color: gray;padding: 5px;}
        table {border: thin solid orange;border-collapse: collapse;margin: 5px;float: left;}
        td {padding:2px;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = document.getElementById("placeholder");
    displayStyles();
    function displayStyles(){
        var newElem = document.createElement("table");
        newElem.setAttribute("border","1");
        var style = document.styleSheets[0].cssRules[0].style;
        for(var i=0;i&lt;style.length;i++){
            addRow(newElem,style[i],style.getPropertyValue(style[i]));
        }
        placeholder.appendChild(newElem);
    }
    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + "：&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例中的脚本枚举了样式表第一条样式的所有属性。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODE1MTIzNTA2MDAwLTIwMDI5NjQzMzUucG5n.jpg" /></p>
<p><strong>（2）获知样式属性的重要性</strong></p>
<p>可以应用 !important 到某条属性声明上，让浏览器优先使用这个值显示元素。操作CSSStyleDeclaration 对象时可以使用 getPropertyPrority 方法来查看!important是否已被应用到某个属性上。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;获知某个属性的重要性&lt;/title&gt;
    &lt;style&gt;
        p {color: white;background-color: gray !important;padding: 5px !important;}
        table {border: thin solid orange;border-collapse: collapse;margin: 5px;float: left;}
        td {padding: 2px;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = document.getElementById("placeholder");
    displayStyles();
    function displayStyles(){
        var newElem = document.createElement("table");
        newElem.setAttribute("border","1");
        var style = document.styleSheets[0].cssRules[0].style;
        for(var i=0;i&lt;style.length;i++){
            addRow(newElem,style[i],style.getPropertyPriority(style[i]));
        }
        placeholder.appendChild(newElem);
    }
    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + "：&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>getPropertyPriority 方法对高优先级的值会返回 important ，如果没有指定重要性则会返回一个空白字符串（" "）。</p>
<p>PS:可以使用setProperty方法来指定某个值是否重要。如果要想给某个值应用!important，可以将important作为第三个参数指给setProperty方法。</p>
<p><strong>4. 使用计算样式</strong></p>
<p>目前为止的例子都把焦点放在了样式表或style属性中指定的CSS属性值上。这对确定文档里直接包含了什么很有用，但浏览器会从多个来源汇聚样式以计算出该用哪个值来显示某一元素。这里包括了没有为其显示指定值的那些属性，没有指定的原因或是值是继承的，或是某种浏览器样式惯例。</p>
<p>浏览器用于显示某个元素的CSS属性值集合被称为计算样式。可以通过 document.default.getComputedStyle 方法获取包含某一元素计算样式的CSSStyleDeclaration对象。用这个方法获得的对象包含了浏览器用来显示元素的所有属性细节，以及各个属性的值。</p>
<p>PS:无法通过以 getComputedStyle方法获得的CSSStyleDeclaration 对象修改计算样式。要做到这一点，必须修改样式表，或者通过元素的style属性直接给它应用样式属性。</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;使用某个元素的计算样式&lt;/title&gt;
    &lt;style&gt;
        p {padding: 7px !important;}
        table {border: thin solid orange;border-collapse: collapse;margin: 5px;float: left;}
        td {padding: 2px;}
    &lt;/style&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;p id="block1"&gt;
    你承受的苦难并不比他人多太多，痛苦主要来自敏感和脆弱。
&lt;/p&gt;
&lt;div id="placeholder"&gt;&lt;/div&gt;
&lt;script&gt;
    var placeholder = document.getElementById("placeholder");
    displayStyles();
    function displayStyles(){
        var newElem = document.createElement("table");
        newElem.setAttribute("border","1");

        var targetElem = document.getElementById("block1");
        var style = document.defaultView.getComputedStyle(targetElem);
        addRow(newElem,"Property Count",style.length);
        addRow(newElem,"margin-top",style.getPropertyValue("margin-top"));
        addRow(newElem,"font-size",style.getPropertyValue("font-size"));
        addRow(newElem,"font-family",style.getPropertyValue("font-family"));
        placeholder.appendChild(newElem);
    }
    function addRow(elem,header,value){
        elem.innerHTML += "&lt;tr&gt;&lt;td&gt;" + header + "：&lt;/td&gt;&lt;td&gt;" + value + "&lt;/td&gt;&lt;/tr&gt;";
    }
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>此例中，展示了一些未曾定义过的属性值。下图可以看到它的效果。表格的第一行报告了计算样式含有多少属性。这个数字根据浏览器的不同会有所增减。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzk0MDk2Ni8yMDE2MDgvOTQwOTY2LTIwMTYwODE1MTU1ODIyNjI1LTcyMjY3ODQxMC5wbmc=.jpg" /></p>
<p>来源：<a href="https://book.douban.com/subject/25786074/" rel="external nofollow noreferrer"><strong>《HTML5权威指南》(《The Definitive Guide to HTML5》)</strong></a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:13:01 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>【温故而知新-Javascript】为DOM元素设置样式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVw2q20.html" rel="bookmark">【使用 DOM】为DOM元素设置样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 使用样式表 可以通过document.styleSheets属性访问文档中可用的CSS样式表,它会返回一组对象集合,这些对象代表了与文档管理的各个样式表. &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;为DOM元素设置样式&lt;/title&gt; &lt;style title=&quot;core st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQrbn3.html" rel="bookmark">JavaScript HTML DOM 元素&lpar;节点&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript HTML DOM 元素(节点) 创建新的 HTML 元素 创建新的 HTML 元素 如需向 HTML DOM 添加新元素,您必须首先创建该元素(元素节点),然后向一个已存在的元素追加该元素. 实例 &lt;div id=&quot;div1&quot;&gt;&lt;p id=&quot;p1&quot;&gt;This is a paragraph.&lt;/p&gt;&lt;p id=&quot;p2&quot;&gt;This is another paragraph.&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OXNQX4.html" rel="bookmark">原生javascript获取dom元素简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原生javascript获取dom元素简单介绍: 使用jQuery可以各种方式获取元素,比如id选择器,类选择器,元素选择器等等,非常的方便. 下面就介绍一下如何利用原生的js实现获取dom元素的功能. 一.通过id获取元素: 最方便的那就是使用document.getElementById()函数. 具体可以参阅document.getElementById()一章节. 二.通过标签获取元素: 使用document.getElementsByTagName()函数. 具体可以参阅documen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RqRoYM.html" rel="bookmark">Dojo操作dom元素的样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.使用dom-style的set方法,可以直接设置dom元素的样式属性,这和使用dom元素的style属性效果一样. 2.使用dom-class的replace方法可以替换某个dom元素的样式,add方法可以为dom元素增加样式,remove方法可以移除dom元素的样式 require([&quot;dojo/dom&quot;, &quot;dojo/window&quot;, 'dojo/dom-style', 'dojo/topic', &quot;dojo/dom-class&quot;, &q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xR8aj4.html" rel="bookmark">Windows Phone 为指定容器内的元素设置样式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Windows Phone中设置元素样式有多种 拿TextBlock来说 1.我们可以直接在控件上设置: &lt;TextBlock Text=&quot;自身样式设置&quot; Width=&quot;270&quot; FontSize=&quot;20&quot; Foreground=&quot;#FF6B6A6A&quot;/&gt; 2.也可以这样:在页面的静态资源中设置 &lt;phone:PhoneApplicationPage.Resources&gt; &lt;Style Targ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4J8YjB0.html" rel="bookmark">JavaScript获取DOM元素位置和尺寸大小</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一些复杂的页面中经常会用JavaScript处理一些DOM元素的动态效果,这种时候我们经常会用到一些元素位置和尺寸的计算,浏览器兼容性问题也是不可忽略的一部分,要想写出预想效果的JavaScript代码,我们需要了解一些基本知识. 基础概念 为了方便理解,我们需要了解几个基础概念,每个HTML元素都有下列属性 offsetWidth clientWidth scrollWidth offsetHeight clientHeight scrollHeight offsetLeft clientL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q7LVN0.html" rel="bookmark">javascript中级--DOM元素的创建、插入、删除</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.创建DOM元素 &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;Document&lt;/title&gt; &lt;script&gt; window.onload = function() { var oBtn = document.getElementById('btn1'); var oUl = docu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jmvWoM.html" rel="bookmark">zepto中给不存在的元素设置样式并绑定事件的坑</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在移动端使用zepto选择器时,一般如果元素不存在会返回一个空的zepto对象. zepto在设置元素样式时,提供了两个入参方式,一种键值对方式$(&quot;.ter&quot;).css({&quot;height&quot;:100}),一种普通入参$(&quot;.ter&quot;).css(&quot;height&quot;,100); 使用前者设置样式时,如果元素不存在则返回undefined,使用后者的话则返回一个空的zepto对象.这种情况会在使用连式操作时有区别.上一步返回的是und			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzn5DkM.html" rel="bookmark">JavaScript获取DOM元素位置和尺寸</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每一个HTML元素都有下列属性: offsetWidth clientWidth scrollWidth offsetHeight clientHeight scrollHeight offsetLeft clientLeft scrollLeft offsetTop clientTop scrollTop 首先,要理解HTML元素的实际内容可能会比分配给这个元素容纳内容的盒子要大,比如说一段很长的文字,把它放在了一个固定长宽的盒子里面,因此可能会出现滚动条. 1.clientHeight和cl			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoy9P3.html" rel="bookmark" class="title">一步完成 MySQL 向 Redis 迁移</a>
					<div>
						从mysql搬一个大表到redis中,你会发现在提取.转换或是载入一行数据时,速度慢的让你难以忍受.这里我就要告诉一个让你解脱的小技巧.使用“管道输出”的方式把mysql命令行产生的内容直接传递给re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLvPR0.html" rel="bookmark" class="title">对 RESTful 的理解</a>
					<div>
						REST 全称 Representation State Transfor (资源表现层状态改变) 实际上是指客户端通过http/https协议手段来改变URI的状态转化,达到请求不同的资源的目的.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVwgOx0.html" rel="bookmark" class="title">清晨3要，晚上4不要</a>
					<div>
						1.早上空腹喝开水 夜间长时间未补充水分,导致血液浓度增高,血流减缓,引起体内代谢废物的堆.早上起床后喝水可以补充代谢的水分,促进肠道的蠕动,防止便秘. 2.早上要慢慢起床 早上尽量不要猛起床,这会使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXGmb3.html" rel="bookmark" class="title">兄弟选择器和相邻选择器按正序控制兄弟元素和相邻元素的样式</a>
					<div>
						在做兄弟元素 和 相邻元素的 移入移出控制显示与否的功能的时候,发现了一个问题,具体代码如下: &lt;html&gt;&lt;head&gt; &lt;style type=&quot;text/c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgX2j80.html" rel="bookmark" class="title">Android深度探索与HAL驱动开发（卷1）-- 第九章随笔</a>
					<div>
						第9章 硬件抽象层:HAL Hal(Hardware Abstract Layer,硬件抽象层)是建立在Linux驱动之上的一套程序库.这套程序库并不属于Linux内核,而是属于Linux内核层之上的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8ElY4.html" rel="bookmark" class="title">In-app Billing 概述</a>
					<div>
						这个文档讲解了In-app Billing的基础构成和功能,为了能够把In-app Billing功能添加到你的程序中,你需要很好的理解这些内容. 注意: 保证你的应用遵从发布地国家的相关法律. 举例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5BQr3.html" rel="bookmark" class="title">Sqli-labs less 61</a>
					<div>
						Less-61 此处对于id处理还是有点奇葩的,第一次遇到利用两层括号的.(可能我头发比较长,见识短了).形式和上述是一样的 payload: http://127.0.0.1/sqli-labs/L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47DZVYM.html" rel="bookmark" class="title">Obj格式解析以及在Unity3D下导入测试</a>
					<div>
						目前基本实现了导入 四边面模型: 全三角面模型(测试单一材质,所以重新分了下UV): 这里介绍下obj格式: obj格式是waveFront推出的一种3D模型格式,可以存放静态模型以及一些诸如曲线的附 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmOalV3.html" rel="bookmark" class="title">NHibernate&period;3&period;0&period;Cookbook第一章第五节Setting up a base entity class</a>
					<div>
						Setting up a base entity class设置一个实体类的基类 在这节中,我将给你展示怎么样去为我们的实体类设置一个通用的基类. 准备工作 完成前面三节的任务 如何去做 1.在Ent ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORnXK0.html" rel="bookmark" class="title">教您怎么从spring 官网下载参考文档</a>
					<div>
						假如您使用spring,那么本经验可能帮助到您. 假如您使用spring的过程中,需要查询一些文档,那么本经验可能帮助到您. 假如您对下载spring的文档有疑惑,那么本经验可能帮助到您. 教您怎么从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkyXv4.html" rel="bookmark" class="title">Linux 下挂载硬盘的 方法</a>
					<div>
						1. 添加磁盘,查看磁盘状况 [[email protected] /]# fdisk -l Disk /dev/sda: 10.7 GB, 10737418240 bytes 255 heads,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpYWp3.html" rel="bookmark" class="title">js中Dom对象的position属性</a>
					<div>
						首先应该明白什么是流?这个估计也很容易明白,我就不说了.顺便说下,float设置了这个属性就暂时脱离了流的存在,clear后才会到流里面. position:absolute| fixed | rel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eAqb4.html" rel="bookmark" class="title">cocos2dx shader实现灰度图android后台切换回来导致图像偏移的问题</a>
					<div>
						转自:http://www.tuicool.com/articles/U3URRrI 项目中经常会遇到将一张图像处理成灰色的需求,为了节省资源,一般不会让美术再做一套同样的灰度图,通常会通过代码处理让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVq5N24.html" rel="bookmark" class="title">JSP数据交互</a>
					<div>
						一.jsp中java小脚本 1.&lt;% java代码段%&gt; 2.&lt;% =java表达式%&gt;不能有分号 3.&lt;%!成员变量和函数声明%&gt; 二.注释 1.&lt;!--h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wooD3.html" rel="bookmark" class="title">将集合转换成指定分隔符和前后缀的字符串</a>
					<div>
						public static String collectionToDelimitedString(Collection&lt;?&gt; coll, String delim, String pref ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rmv85M.html" rel="bookmark" class="title">csdfsdfdsgsdh</a>
					<div>
						http://www.fayifa.com/chufangjiafang/6260118.html www.fayifa.com/chufangjiafang/6261222.html www.fay ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JOlbPM.html" rel="bookmark" class="title">配置Tomcat将Session持久化到MySQL</a>
					<div>
						首先,在conf/context.xml中文件中,将以下的配置加入到根结点下: &lt;Manager className=&quot;org.apache.catalina.session.Pers ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXBrK4.html" rel="bookmark" class="title">linux安装lua相关编译报错</a>
					<div>
						1.报之类的错误 /usr/lib/libreadline.so: undefined reference to `PC' /usr/lib/libreadline.so: undefined ref ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgJ5x3.html" rel="bookmark" class="title">JS  冒泡排序 去重</a>
					<div>
						1 &lt;script&gt; 2 //排序 3 var arr = [3, 3, 7, 8, 1, 8, 9, 2, 4, 3, 3]; 4 for(var i = 0; i &lt; arr.l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6nyYWM.html" rel="bookmark" class="title">zabbixt安装</a>
					<div>
						Zabbix监控分为两部分,一部分为server服务端,另一部分为agentd客户端. Zabbix Server ip:192.168.8.10 Zabbix agentd ip:192.168.8 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
